### Hierarchy

- SupportSignedMessageData<AppCryptoWallet>
  - AppWalletData

## Index

### Constructors

- constructor

### Properties

- data
- sig

### Methods

- getMessage
- getSignedMessage
- fromJson

## Constructors

### constructor

- new AppWalletData(data: AppCryptoWallet, sig?: string): AppWalletData

- Inherited from SupportSignedMessageData.constructor

  - Defined in utils/types/BaseTypes.ts:60

  #### Parameters

  - ##### data: AppCryptoWallet

  - ##### Optional sig: string

  #### Returns AppWalletData

## Properties

### data

data: AppCryptoWallet

Inherited from SupportSignedMessageData.data

- Defined in utils/types/BaseTypes.ts:57

### sig

sig: string

Inherited from SupportSignedMessageData.sig

- Defined in utils/types/BaseTypes.ts:60

## Methods

### getMessage

- getMessage(): MessageData<string>

- Inherited from SupportSignedMessageData.getMessage

  - Defined in utils/types/BaseTypes.ts:71

  #### Returns MessageData<string>

### getSignedMessage

- getSignedMessage(): StringSignedMessage

- Inherited from SupportSignedMessageData.getSignedMessage

  - Defined in utils/types/BaseTypes.ts:67

  #### Returns StringSignedMessage

### Static fromJson

- fromJson(json: JsonObject<AppWalletData>): AppWalletData

- - Defined in utils/types/BaseTypes.ts:184

  #### Parameters

  - ##### json: JsonObject<AppWalletData>

  #### Returns AppWalletData

Generated using TypeDoc